## gcc-defaults 1.144ubuntu1

=== debian/changelog ===
gcc-defaults (1.144ubuntu1) wily; urgency=medium

  * Merge with Debian; remaining changes:
    - Build -multilib packages on armel and armhf (except for gccgo).
    - Adjust off-by-one offset for 4.6.x and 4.7.x release numbers.
    - Include the fsf-funding.7, gfdl.7 and gpl.7 man pages.
    - Provide i686-linux-gnu prefixed symlinks on i386.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 01 Aug 2015 21:16:09 +0200

gcc-defaults (1.144) unstable; urgency=medium

  * Build gdc with an epoch. Closes: #794329.

 -- Matthias Klose <doko@debian.org>  Sat, 01 Aug 2015 20:45:36 +0200

gcc-defaults (1.143ubuntu1) wily; urgency=medium

  * Merge with Debian; remaining changes:
    - Build -multilib packages on armel and armhf (except for gccgo).
    - Adjust off-by-one offset for 4.6.x and 4.7.x release numbers.
    - Include the fsf-funding.7, gfdl.7 and gpl.7 man pages.
    - Provide i686-linux-gnu prefixed symlinks on i386.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 31 Jul 2015 18:24:54 +0200

gcc-defaults (1.143) unstable; urgency=high

  * Upload to unstable.
  * Bump required GCC 5 version to 5.2.1-13.

 -- Matthias Klose <doko@debian.org>  Thu, 30 Jul 2015 22:47:44 +0200

gcc-defaults (1.142) experimental; urgency=medium

  * Bump GCC 5 version to 5.2.1.
  * Bump GCC 4.9 version to 4.9.3.
  * Default to GCC 5 on sparc and hurd-i386.
  * Change the long description of the multilib packages, because lintian
    and ftp-master reject the capitalized version of "Dependency package".

 -- Matthias Klose <doko@debian.org>  Sun, 19 Jul 2015 12:31:21 +0200

gcc-defaults (1.141) experimental; urgency=medium

  * Build multilib and gccgo packages for mips64* (James Cowgill).
    Addresses: #773177.
  * gcc-multilib: Break gcc-4.9-mips-linux-gnu. Add breaks for gcc-5
    cross compilers.
  * gcj-jdk: Fix libgcj.pc symlink (Victor Seva). Addresses: #778376.

 -- Matthias Klose <doko@debian.org>  Wed, 25 Feb 2015 13:34:24 +0100

gcc-defaults (1.140) experimental; urgency=medium

  * Provide the gcc-ar, gcc-nm and gcc-ranlib symlinks again.
  * Provide a gcov-tool symlink.

 -- Matthias Klose <doko@debian.org>  Fri, 13 Feb 2015 02:57:53 +0100

gcc-defaults (1.139) experimental; urgency=medium

  * Build a gdc-multilib package.

 -- Matthias Klose <doko@debian.org>  Wed, 28 Jan 2015 23:50:29 +0100

gcc-defaults (1.138ubuntu9) vivid; urgency=medium

  * gcc-multilib: Add breaks to gcc-5 cross compilers.
  * Build multilib and gccgo packages for mips64* (James Cowgill).
    Closes: #773177.
  * gcc-multilib: Break gcc-4.9-mips-linux-gnu.
  * gcj-jdk: Fix libgcj.pc symlink (Victor Seva). Closes: #778376.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 25 Feb 2015 14:14:12 +0100

gcc-defaults (1.138ubuntu8) vivid; urgency=medium

  * Provide the gcc-ar, gcc-nm and gcc-ranlib symlinks again.
  * Provide a gcov-tool symlink.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 13 Feb 2015 03:08:52 +0100

gcc-defaults (1.138ubuntu7) vivid; urgency=medium

  * Build gdc-multilib on armel and armhf.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 29 Jan 2015 01:59:05 +0100

gcc-defaults (1.138ubuntu3) vivid; urgency=medium

  * Build a gdc-multilib package.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 28 Jan 2015 23:54:55 +0100

gcc-defaults (1.138ubuntu2) vivid; urgency=medium

  * Merge with Debian; remaining changes:
    - Build -multilib packages on armel and armhf (except for gccgo).
    - Adjust off-by-one offset for 4.6.x and 4.7.x release numbers.
    - Include the fsf-funding.7, gfdl.7 and gpl.7 man pages.
    - Provide i686-linux-gnu prefixed symlinks on i386.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 28 Jan 2015 14:21:20 +0100

gcc-defaults (1.138) experimental; urgency=medium

  * Bump GCC version to 5.

 -- Matthias Klose <doko@debian.org>  Tue, 27 Jan 2015 21:18:46 +0100
