## gcc-defaults 1.150

=== debian/changelog ===
gcc-defaults (1.150) unstable; urgency=medium

  * Bump GCC 5 version to 5.3.1.
  * Fix package descriptions (Daniele Forsi). Closes: #807276.
  * Update gcc-multilib's conflict list.

 -- Matthias Klose <doko@debian.org>  Sun, 13 Dec 2015 16:14:05 +0100

gcc-defaults (1.149) unstable; urgency=medium

  * Enable gccgo on sparc and sparc64.
  * Enable package builds for mips64, mips64el and sh4.
  * Enable the gnat cross build on sh4.
  * gcc-hppa64-linux-gnu: Fix gcc symlink, don't ship gcov and gcov-tool.
    Closes: #806423.
  * Stop building gccgo-hppa-linux-gnu, gccgo-m68k-linux-gnu.

 -- Matthias Klose <doko@debian.org>  Mon, 30 Nov 2015 09:01:59 +0100

gcc-defaults (1.147) unstable; urgency=medium

  * Fix some fall-out building cross gcc packages.
  * Build a gcc-hppa64-linux-gnu package.
  * gcc: Provide an unversioned gcov-tool binary.
  * Update README.Debian.

 -- Matthias Klose <doko@debian.org>  Wed, 25 Nov 2015 20:46:31 +0100

gcc-defaults (1.146) unstable; urgency=medium

  * Build defaults packages for Debian cross architectures, including
    all frontends and multilib packages.

 -- Matthias Klose <doko@debian.org>  Tue, 24 Nov 2015 13:22:50 +0100

gcc-defaults (1.145) unstable; urgency=medium

  [ Aurelien Jarno ]
  * Build gdc-multilib on mips64 and mips64el.

 -- Matthias Klose <doko@debian.org>  Mon, 03 Aug 2015 10:33:23 +0200
