=== debian/control ===
--- 
+++ 
@@ -6,10 +6,9 @@
 Standards-Version: 3.9.6
 Build-Depends: m4, debhelper (>= 5),
   dpkg-dev (>= 1.17.11),
-  gcc-5-base (>= 5.2.1-12),
+  gcc-5-base (>= 5.3.1-3),
   lsb-release
-Build-Depends-Indep: ca-certificates,
-  gcj-jdk, python (>= 2.6.6)
+Build-Depends-Indep: ca-certificates, gcj-jdk, python (>= 2.6.6)
 Vcs-Svn: svn://svn.debian.org/svn/gcccvs/branches/sid/gcc-defaults
 Vcs-Browser: http://svn.debian.org/viewsvn/gcccvs/branches/sid/gcc-defaults
 XS-Python-Version: all
@@ -31,6 +30,83 @@
  .
  This is a dependency package providing the default GNU C preprocessor.
 
+Package: gcc
+Priority: optional
+Architecture: any
+Depends: cpp (>= ${version:cpp}), gcc-${pv:gcc} ${reqv:gcc}, ${misc:Depends}
+Recommends: libc6-dev | libc-dev
+Suggests: gcc-multilib, make, manpages-dev, autoconf, automake, libtool, flex, bison, gdb, gcc-doc
+Provides: c-compiler
+Conflicts: gcc-doc (<< 1:2.95.3)
+Description: GNU C compiler
+ This is the GNU C compiler, a fairly portable optimizing compiler for C.
+ .
+ This is a dependency package providing the default GNU C compiler.
+
+Package: gcc-multilib
+Priority: optional
+Architecture: amd64 i386 kfreebsd-amd64 mips mips64 mips64el mipsel powerpc ppc64 s390 s390x sparc sparc64 x32
+Depends: cpp (>= ${version:cpp}), gcc (>= ${version:gcc}), gcc-${pv:gcc}-multilib ${reqv:gcc}, ${misc:Depends}, linux-libc-dev (>= 3.0.0-2) [linux-any]
+Conflicts: gcc-4.9-alpha-linux-gnu,
+  gcc-4.9-aarch64-linux-gnu,
+  gcc-4.9-arm-linux-gnueabi,
+  gcc-4.9-arm-linux-gnueabihf,
+  gcc-4.9-hppa-linux-gnu,
+  gcc-4.9-m68k-linux-gnu,
+  gcc-4.9-powerpc-linux-gnu,
+  gcc-4.9-powerpc-linux-gnuspe,
+  gcc-4.9-powerpc64-linux-gnu,
+  gcc-4.9-powerpc64le-linux-gnu,
+  gcc-4.9-mips-linux-gnu,
+  gcc-4.9-mipsel-linux-gnu,
+  gcc-4.9-mips64-linux-gnuabi64,
+  gcc-4.9-mips64el-linux-gnuabi64,
+  gcc-4.9-s390x-linux-gnu,
+  gcc-4.9-sh4-linux-gnu,
+  gcc-4.9-sparc-linux-gnu,
+  gcc-4.9-sparc64-linux-gnu,
+  gcc-5-aarch64-linux-gnu,
+  gcc-5-alpha-linux-gnu,
+  gcc-5-arm-linux-gnueabi,
+  gcc-5-arm-linux-gnueabihf,
+  gcc-5-hppa-linux-gnu,
+  gcc-5-m68k-linux-gnu,
+  gcc-5-powerpc-linux-gnu,
+  gcc-5-powerpc-linux-gnuspe,
+  gcc-5-powerpc64-linux-gnu,
+  gcc-5-powerpc64le-linux-gnu,
+  gcc-5-mips-linux-gnu,
+  gcc-5-mipsel-linux-gnu,
+  gcc-5-mips64-linux-gnuabi64,
+  gcc-5-mips64el-linux-gnuabi64,
+  gcc-5-s390x-linux-gnu,
+  gcc-5-sh4-linux-gnu,
+  gcc-5-sparc-linux-gnu,
+  gcc-5-sparc64-linux-gnu,
+  gcc-6-aarch64-linux-gnu,
+  gcc-6-alpha-linux-gnu,
+  gcc-6-arm-linux-gnueabi,
+  gcc-6-arm-linux-gnueabihf,
+  gcc-6-hppa-linux-gnu,
+  gcc-6-m68k-linux-gnu,
+  gcc-6-powerpc-linux-gnu,
+  gcc-6-powerpc-linux-gnuspe,
+  gcc-6-powerpc64-linux-gnu,
+  gcc-6-powerpc64le-linux-gnu,
+  gcc-6-mips-linux-gnu,
+  gcc-6-mipsel-linux-gnu,
+  gcc-6-mips64-linux-gnuabi64,
+  gcc-6-mips64el-linux-gnuabi64,
+  gcc-6-s390x-linux-gnu,
+  gcc-6-sh4-linux-gnu,
+  gcc-6-sparc-linux-gnu,
+  gcc-6-sparc64-linux-gnu,
+Description: GNU C compiler (multilib files)
+ This is the GNU C compiler, a fairly portable optimizing compiler for C.
+ .
+ A dependency package on architectures with multilib support; the package
+ contains dependencies for the non-default multilib architecture(s).
+
 Package: g++
 Priority: optional
 Architecture: any
@@ -44,7 +120,7 @@
 
 Package: g++-multilib
 Priority: optional
-Architecture: amd64 armel armhf i386 kfreebsd-amd64 mips mips64 mips64el mipsel powerpc ppc64 s390 s390x sparc sparc64 x32
+Architecture: amd64 i386 kfreebsd-amd64 mips mips64 mips64el mipsel powerpc ppc64 s390 s390x sparc sparc64 x32
 Depends: cpp (>= ${version:cpp}), gcc-multilib (>= ${version:cpp}), g++ (>= ${version:cpp}), g++-${pv:gpp}-multilib ${reqv:gpp}, ${misc:Depends}
 Description: GNU C++ compiler (multilib files)
  This is the GNU C++ compiler, a fairly portable optimizing compiler for C++.
@@ -67,7 +143,7 @@
 
 Package: gobjc-multilib
 Priority: optional
-Architecture: amd64 armel armhf i386 kfreebsd-amd64 mips mips64 mips64el mipsel powerpc ppc64 s390 s390x sparc sparc64 x32
+Architecture: amd64 i386 kfreebsd-amd64 mips mips64 mips64el mipsel powerpc ppc64 s390 s390x sparc sparc64 x32
 Depends: cpp (>= ${version:cpp}), gcc-multilib (>= ${version:cpp}), gobjc (>= ${version:gcc}), gobjc-${pv:gobjc}-multilib ${reqv:gobjc}, ${misc:Depends}
 Description: GNU Objective-C compiler (multilib files)
  This is the GNU Objective-C compiler, which compiles Objective-C on
@@ -92,7 +168,7 @@
 
 Package: gobjc++-multilib
 Priority: optional
-Architecture: amd64 armel armhf i386 kfreebsd-amd64 mips mips64 mips64el mipsel powerpc ppc64 s390 s390x sparc sparc64 x32
+Architecture: amd64 i386 kfreebsd-amd64 mips mips64 mips64el mipsel powerpc ppc64 s390 s390x sparc sparc64 x32
 Depends: cpp (>= ${version:cpp}), gobjc-multilib (>= ${version:cpp}), gobjc++ (>= ${version:gcc}), gobjc++-${pv:gobjcxx}-multilib ${reqv:gobjcxx}, ${misc:Depends}
 Description: GNU Objective-C++ compiler (multilib files)
  This is the GNU Objective-C++ compiler, which compiles Objective-C++ on
@@ -116,7 +192,7 @@
 
 Package: gfortran-multilib
 Priority: optional
-Architecture: amd64 armel armhf i386 kfreebsd-amd64 mips mips64 mips64el mipsel powerpc ppc64 s390 s390x sparc sparc64 x32
+Architecture: amd64 i386 kfreebsd-amd64 mips mips64 mips64el mipsel powerpc ppc64 s390 s390x sparc sparc64 x32
 Depends: cpp (>= ${version:cpp}), gcc-multilib (>= ${version:cpp}), gfortran (>= ${version:gcc}), gfortran-${pv:gfort}-multilib ${reqv:gfort}, ${misc:Depends}
 Description: GNU Fortran 95 compiler (multilib files)
  This is the GNU Fortran compiler, which compiles Fortran 95 on platforms
@@ -139,7 +215,7 @@
 
 Package: gccgo-multilib
 Priority: optional
-Architecture: amd64 i386 mips mips64 mips64el mipsel powerpc ppc64 s390 s390x x32
+Architecture: amd64 i386 mips mips64 mips64el mipsel powerpc ppc64 s390 s390x sparc sparc64 x32
 Depends: cpp (>= ${version:cpp}), gcc-multilib (>= ${version:cpp}), gccgo (>= ${version:ggo}), gccgo-${pv:ggo}-multilib ${reqv:ggo}, ${misc:Depends}
 Description: Go compiler, based on the GCC backend (multilib files)
  This is the GNU Go compiler, which compiles Go on platforms supported by
@@ -165,7 +241,7 @@
 Architecture: any
 Multi-Arch: same
 Priority: optional
-Pre-Depends: multiarch-support
+Pre-Depends: ${misc:Pre-Depends}
 Depends: libgcj-common (>= ${version:libgcjcommon}), ${pkg:libgcj} ${reqv:gij}, ${misc:Depends}
 Description: Link time only library for use with gcj
  A fake library that is used at link time only.  It ensures that
@@ -206,57 +282,3 @@
  put into a shared library on the class path.
  .
  The package contains as well a collection of wrapper scripts and symlinks.
- It is meant to provide a Java-RTE-like interface to the GIJ/GCJ tool set,
- limited to the headless tools and libraries.
-
-Package: gcj-jre
-Section: java
-Architecture: any
-Priority: optional
-Depends: libgcj-common (>= ${version:libgcjcommon}), gcj-jre-headless (>= ${version:gcj}), ${dep:jre}, ${misc:Depends}
-Provides: java-gcj-compat, java5-runtime, java2-runtime, java1-runtime, java-runtime
-Description: Java runtime environment using GIJ/Classpath
- GIJ is a Java bytecode interpreter, not limited to interpreting bytecode.
- It includes a class loader which can dynamically load shared objects, so
- it is possible to give it the name of a class which has been compiled and
- put into a shared library on the class path.
- .
- This is currently an empty package.
- It is meant to provide a Java-RTE-like interface to the GIJ/GCJ tool set.
-
-Package: gcc
-Priority: optional
-Architecture: any
-Depends: cpp (>= ${version:cpp}), gcc-${pv:gcc} ${reqv:gcc}, ${misc:Depends}
-Recommends: libc6-dev | libc-dev
-Suggests: gcc-multilib, make, manpages-dev, autoconf, automake, libtool, flex, bison, gdb, gcc-doc
-Provides: c-compiler
-Conflicts: gcc-doc (<< 1:2.95.3)
-Description: GNU C compiler
- This is the GNU C compiler, a fairly portable optimizing compiler for C.
- .
- This is a dependency package providing the default GNU C compiler.
-
-Package: gcc-multilib
-Priority: optional
-Architecture: amd64 armel armhf i386 kfreebsd-amd64 mips mips64 mips64el mipsel powerpc ppc64 s390 s390x s390x sparc sparc64 x32
-Depends: cpp (>= ${version:cpp}), gcc (>= ${version:gcc}), gcc-${pv:gcc}-multilib ${reqv:gcc}, ${misc:Depends}, linux-libc-dev (>= 3.0.0-2) [linux-any]
-Pre-Depends: linux-libc-dev (>= 2.6.38-8.42)
-Replaces: gcc (<< 4.6.1-2ubuntu5)
-Breaks: gcc-4.9-arm-linux-gnueabihf, gcc-4.9-arm-linux-gnueabi,
-  gcc-4.9-powerpc-linux-gnu, gcc-4.9-powerpc64el-linux-gnu,
-  gcc-4.9-mipsel-linux-gnu, gcc-4.9-mips-linux-gnu,
-  gcc-5-arm-linux-gnueabihf, gcc-5-arm-linux-gnueabi,
-  gcc-5-powerpc-linux-gnu, gcc-5-powerpc64el-linux-gnu,
-  gcc-5-mipsel-linux-gnu, gcc-5-mips-linux-gnu
-Description: GNU C compiler (multilib files)
- This is the GNU C compiler, a fairly portable optimizing compiler for C.
- .
- A dependency package on architectures with multilib support; the package
- contains dependencies for the non-default multilib architecture(s).
-
-Package: gdc
-Priority: optional
-Architecture: any
-Depends: gdc-${pv:gdc} ${reqv:gdc}, ${dep:libphobos}, ${misc:Depends}
-Replaces: gdc-4.1 (<< 0.25-4.1.2-18), gdc-4.2 (<< 0.25-4.2.2-7), gdc-4.3 (<< 1:1.043-4.3.4-1)
