=== debian/rules ===
--- 
+++ 
@@ -5,10 +5,12 @@
 
 # version number of the defaults package
 VDEF	:= $(strip $(shell dpkg-parsechangelog | awk -F: '/^Version:/ {print $$NF}'))
+SOURCE	:= $(strip $(shell dpkg-parsechangelog | awk -F: '/^Source:/ {print $$NF}'))
 
 VMAJOR	:= $(shell echo $(VDEF) | awk -F. '{print $$1}')
 VMINOR	:= $(shell echo $(VDEF) | awk -F. '{print $$2}' | sed -e 's/\([0-9]*\).*/\1/')
 REL_EXT	:= $(shell echo $(VDEF) | sed -e 's/^$(VMAJOR)\.$(VMINOR)//')
+SPACE	:= $(EMPTY) $(EMPTY)
 
 # gcc-defaults 0.8 is the first version for 2.95.4.
 #REL_NO_295	:= $(shell expr $(VMINOR) + 15)$(REL_EXT)
@@ -118,8 +120,8 @@
 #REL_NO_462	:= $(shell expr $(VMINOR) - 108)$(REL_EXT)
 # gcc-defaults 1.113 is the first version with 4.6.3 support.
 #REL_NO_463	:= $(shell expr $(VMINOR) - 112)$(REL_EXT)
-# gcc-defaults 1.120 is the first version with 4.6.4 support.
-#REL_NO_464	:= $(shell expr $(VMINOR) - 119)$(REL_EXT)
+# gcc-defaults 1.121 is the first version with 4.6.4 support.
+#REL_NO_464	:= $(shell expr $(VMINOR) - 120)$(REL_EXT)
 
 # gcc-defaults 1.113 is the first version with 4.7.0 support.
 #REL_NO_470	:= $(shell expr $(VMINOR) - 112)$(REL_EXT)
@@ -127,8 +129,8 @@
 #REL_NO_471	:= $(shell expr $(VMINOR) - 118)$(REL_EXT)
 # gcc-defaults 1.120 is the first version with 4.7.2 support.
 #REL_NO_472	:= $(shell expr $(VMINOR) - 119)$(REL_EXT)
-# gcc-defaults 1.120 is the first version with 4.7.3 support.
-#REL_NO_473	:= $(shell expr $(VMINOR) - 119)$(REL_EXT)
+# gcc-defaults 1.121 is the first version with 4.7.3 support.
+#REL_NO_473	:= $(shell expr $(VMINOR) - 120)$(REL_EXT)
 
 REL_NO_481	:= $(shell expr $(VMINOR) - 120)$(REL_EXT)
 REL_NO_482	:= $(shell expr $(VMINOR) - 123)$(REL_EXT)
@@ -142,6 +144,7 @@
 
 REL_NO_50	:= $(shell expr $(VMINOR) - 138)$(REL_EXT)
 REL_NO_52	:= $(shell expr $(VMINOR) - 141)$(REL_EXT)
+REL_NO_53	:= $(shell expr $(VMINOR) - 149)$(REL_EXT)
 
 # minimum required gcc-X.Y versions
 REQV_295	:= (>= 1:2.95.4-16)
@@ -162,10 +165,6 @@
 REQV_46_GDC	:= $(REQV_46)
 REQV_47		:= (>= 4.7.3-1~)
 REQV_48		:= (>= 4.8.4-1~)
-REQV_49		:= (>= 4.9.3-1~)
-REQV_5		:= (>= 5.2.1-12~)
+REQV_49		:= (>= 4.9.3-10~)
+REQV_5		:= (>= 5.3.1-3~)
 
-REQV_LIBGCJ_BC	:= (>= 4.9.3-1~)
-
-# architecture dependent variables
-DEB_HOST_ARCH		:= $(shell dpkg-architecture -qDEB_HOST_ARCH)
