## gcc-defaults 1.150ubuntu1

=== debian/changelog ===
gcc-defaults (1.150ubuntu1) xenial; urgency=medium

  * Merge with Debian; remaining changes:
    - Build -multilib packages on armel and armhf (except for gccgo).
    - Adjust off-by-one offset for 4.6.x and 4.7.x release numbers.
    - Include the fsf-funding.7, gfdl.7 and gpl.7 man pages.
    - Provide i686-linux-gnu prefixed symlinks on i386.
  * Default gccgo to GCC 6. 

 -- Matthias Klose <doko@ubuntu.com>  Thu, 11 Feb 2016 10:21:11 +0100

gcc-defaults (1.149ubuntu2) xenial; urgency=medium

  * Merge with Debian; remaining changes:
    - Build -multilib packages on armel and armhf (except for gccgo).
    - Adjust off-by-one offset for 4.6.x and 4.7.x release numbers.
    - Include the fsf-funding.7, gfdl.7 and gpl.7 man pages.
    - Provide i686-linux-gnu prefixed symlinks on i386.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 02 Dec 2015 01:51:32 +0100

gcc-defaults (1.146ubuntu8) xenial; urgency=medium

  * Merge with Debian; remaining changes:
    - Build -multilib packages on armel and armhf (except for gccgo).
    - Adjust off-by-one offset for 4.6.x and 4.7.x release numbers.
    - Include the fsf-funding.7, gfdl.7 and gpl.7 man pages.
    - Provide i686-linux-gnu prefixed symlinks on i386.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 25 Nov 2015 13:10:00 +0100
