=== debian/rules ===
--- 
+++ 
@@ -120,8 +120,8 @@
 #REL_NO_462	:= $(shell expr $(VMINOR) - 108)$(REL_EXT)
 # gcc-defaults 1.113 is the first version with 4.6.3 support.
 #REL_NO_463	:= $(shell expr $(VMINOR) - 112)$(REL_EXT)
-# gcc-defaults 1.121 is the first version with 4.6.4 support.
-#REL_NO_464	:= $(shell expr $(VMINOR) - 120)$(REL_EXT)
+# gcc-defaults 1.120 is the first version with 4.6.4 support.
+#REL_NO_464	:= $(shell expr $(VMINOR) - 119)$(REL_EXT)
 
 # gcc-defaults 1.113 is the first version with 4.7.0 support.
 #REL_NO_470	:= $(shell expr $(VMINOR) - 112)$(REL_EXT)
@@ -129,8 +129,8 @@
 #REL_NO_471	:= $(shell expr $(VMINOR) - 118)$(REL_EXT)
 # gcc-defaults 1.120 is the first version with 4.7.2 support.
 #REL_NO_472	:= $(shell expr $(VMINOR) - 119)$(REL_EXT)
-# gcc-defaults 1.121 is the first version with 4.7.3 support.
-#REL_NO_473	:= $(shell expr $(VMINOR) - 120)$(REL_EXT)
+# gcc-defaults 1.120 is the first version with 4.7.3 support.
+#REL_NO_473	:= $(shell expr $(VMINOR) - 119)$(REL_EXT)
 
 REL_NO_481	:= $(shell expr $(VMINOR) - 120)$(REL_EXT)
 REL_NO_482	:= $(shell expr $(VMINOR) - 123)$(REL_EXT)
@@ -145,6 +145,8 @@
 REL_NO_50	:= $(shell expr $(VMINOR) - 138)$(REL_EXT)
 REL_NO_52	:= $(shell expr $(VMINOR) - 141)$(REL_EXT)
 REL_NO_53	:= $(shell expr $(VMINOR) - 149)$(REL_EXT)
+
+REL_NO_6	:= $(shell expr $(VMINOR) - 149)$(REL_EXT)
 
 # minimum required gcc-X.Y versions
 REQV_295	:= (>= 1:2.95.4-16)
@@ -165,6 +167,3 @@
 REQV_46_GDC	:= $(REQV_46)
 REQV_47		:= (>= 4.7.3-1~)
 REQV_48		:= (>= 4.8.4-1~)
-REQV_49		:= (>= 4.9.3-10~)
-REQV_5		:= (>= 5.3.1-3~)
-
